BIT Check VATID for Virtuemart

Screenshots:
Plugin backend (in Joomla! 3)
Field for Vat ID entry
Error message invalid ID
Marked invalid ID
Message country mismatch
Country mismatch
Error message validation service unavailable
Variant price modifier:
Salesprice with discount
Sales price: 14,99 €
(Incl. 19% VAT, free shipping)
Download
Description

Version 2.1.1

While the validation of a European VAT ID used to be a built-in option in Virtuemart 1.1, this feature is no longer available in Virtuemart 2.0.
This plugin lets your customers enter a VAT ID and checks its validity. The methods used are based on the original ones included in Virtuemart 1.1, but are enhanced and adapted.

Features:

  • javascript based syntactic check of the entered ID and
  • validation of the number using the service of a European server (optional)
  • configurable error messages
  • marking of invalid IDs

Important: This plugin only checks if the entered number is valid. If you would like to offer your products without tax for customers with a valid VAT ID, our plugin  BIT Change Shopper Group for Virtuemart is required additionally. Tip: The package BIT Virtuemart2 EUVAT Package contains both plugins.

Note: This plugin doesn't work with all 3rd party One Page Checkout systems. If you're using one, please contact us before ordering.

  • Version 2.1.1, 09/2017: Fix of deprecate notices; refacturing
  • Version 2.1.0, 04/2017: Use of Joomla! Update System
  • Version 2.0.9, 05/2016: Changes for supporting Virtuemart 3.0.16
  • Version 2.0.8, 11/2015: Cahnges in plugin scope
  • Version 2.0.7, 04/2015: Minor changes
  • Version 2.0.6, 03/2015: Minor Bugfix
  • Version 2.0.5, 02/2015: Minor Bugfix
  • Version 2.0.4, 02/2015: Changes in AJAX handling
  • Version 2.0.3, 01/2015: Option for displaying icons for the validation process
  • Version 2.0.2, 01/2015: Minor changes
  • Version 2.0.1, 12/2014: Changed validation for checking slovaque IDs
  • Version 2.0.0, 11/2014: First version of the plugin compatible with Joomla!3 and Virtuemart3

Supported languages: english, german

System requirements: Joomla 2.5/3, Virtuemart 2.x/3.x

Note: This plugin doesn't work with all 3rd party One Page Checkout systems. If you're using one, please contact us before ordering.


Installation:
Please unpack the zip-file on your local computer. The included installation.pdf contains a description of the setup.

After completed order and payment you'll get:

  • An e-mail containg the download link, a licence key and the invoice. The download link is valid for 12 months, can be used 10 times and always points to the current verison of the extension.
  • Access to the extension and your invoice in your account (if you have registered).
  • Automatic updates via the Joomla! Update System (you have to enter the licence key in the extension)
  • Support for 12 months (by personal mail).